package com.hzya.frame.sysnew.application.api.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 应用api(SysApplicationApi)实体类
 *
 * @author makejava
 * @since 2023-09-22 16:23:27
 */
public class SysApplicationApiDto {
    /**  id */
    private String id;
    /**  api应用 */
    private String appId;
    /**  目录 */
    private String catalogueId;
    /**  api名称或者描述 */
    private String nameOrRemark;
    private Integer pageNum;
    private Integer pageSize;
    /**  接口编码 */
    private Long apiCode;
    /**  Api接口地址(固定系统内部外放接口地址) */
    private String apiPath;
    /**  bean名称 */
    private String beanName;
    /**  方法名称 */
    private String funName;
    /**  是否扩展api */
    private String extensionApi;

    /** 返回成功字段 */
    private String returnSuccessField;
    /**  返回成功值*/
    private String returnSuccessValue;

    /**  返回描述字段*/
    private String returnMsg;
    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getCatalogueId() {
        return catalogueId;
    }

    public void setCatalogueId(String catalogueId) {
        this.catalogueId = catalogueId;
    }

    public String getNameOrRemark() {
        return nameOrRemark;
    }

    public void setNameOrRemark(String nameOrRemark) {
        this.nameOrRemark = nameOrRemark;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getApiCode() {
        return apiCode;
    }

    public void setApiCode(Long apiCode) {
        this.apiCode = apiCode;
    }

    public String getApiPath() {
        return apiPath;
    }

    public void setApiPath(String apiPath) {
        this.apiPath = apiPath;
    }

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName;
    }

    public String getFunName() {
        return funName;
    }

    public void setFunName(String funName) {
        this.funName = funName;
    }

    public String getExtensionApi() {
        return extensionApi;
    }

    public void setExtensionApi(String extensionApi) {
        this.extensionApi = extensionApi;
    }

    public String getReturnSuccessField() {
        return returnSuccessField;
    }

    public void setReturnSuccessField(String returnSuccessField) {
        this.returnSuccessField = returnSuccessField;
    }

    public String getReturnSuccessValue() {
        return returnSuccessValue;
    }

    public void setReturnSuccessValue(String returnSuccessValue) {
        this.returnSuccessValue = returnSuccessValue;
    }

    public String getReturnMsg() {
        return returnMsg;
    }

    public void setReturnMsg(String returnMsg) {
        this.returnMsg = returnMsg;
    }
}

